DebianDSA-4114-1:jackson-databind - セキュリティ更新

critical Nessus プラグイン ID 106853

概要

リモートのDebianホストにセキュリティ関連の更新プログラムがありません。

説明

JSONやその他のデータ形式を解析するために使用されるJavaライブラリであるjackson-databindが、逆シリアル化を試行する前に、ユーザーの入力を適切に検証していないことが判明しました。これにより、攻撃者は悪意を持って細工された入力を提供することで、コードを実行できました。

ソリューション

jackson-databindパッケージをアップグレードしてください。

旧安定版(oldstable)ディストリビューション(jessie)では、これらの問題はバージョン.2.4.2-2+deb8u3で修正されています。

安定版(stable)ディストリビューション(stretch)では、これらの問題はバージョン2.8.6-1+deb9u3で修正されています。

関連情報

https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=888316

https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=888318

http://www.nessus.org/u?61134ddf

https://packages.debian.org/source/jessie/jackson-databind

https://packages.debian.org/source/stretch/jackson-databind

https://www.debian.org/security/2018/dsa-4114

プラグインの詳細

深刻度: Critical

ID: 106853

ファイル名: debian_DSA-4114.nasl

バージョン: 3.3

タイプ: local

エージェント: unix

公開日: 2018/2/16

更新日: 2018/11/13

サポートされているセンサー: Agentless Assessment, Frictionless Assessment Agent, Nessus Agent

リスク情報

VPR

リスクファクター: Medium

スコア: 6.7

CVSS v2

リスクファクター: High

Base Score: 7.5

ベクトル: AV:N/AC:L/Au:N/C:P/I:P/A:P

CVSS v3

リスクファクター: Critical

Base Score: 9.8

ベクトル: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H

脆弱性情報

CPE: p-cpe:/a:debian:debian_linux:jackson-databind, cpe:/o:debian:debian_linux:8.0, cpe:/o:debian:debian_linux:9.0

必要な KB アイテム: Host/local_checks_enabled, Host/Debian/release, Host/Debian/dpkg-l

パッチ公開日: 2018/2/15

参照情報

CVE: CVE-2017-17485, CVE-2018-5968

DSA: 4114